Subject: [Gen-art] noticing gen-art reviews

From: Jari Arkko <[email-masked]>
Date: Thu, 24 Jul 2014 15:32:52 -0400

I was on the Gen-ART breakfast, and we observed how well the Gen-ART system works. In a huge majority of cases the authors and reviewer work out the comments and possible changes well in advance of the telechat, and the result is overall better quality of the RFCs. That’s great and thanks to everyone who is doing this so well.

We also made the observation that occasionally (p = 0.05 or so) we have reviews where the first person to ask if there’s a response to the review is the reviewer or AD who asked for the review. I just wanted to highlight that we all (from authors up the chain) need to be vigilant in ensuring that reviews get responded to. I don’t mind asking about that, but hopefully the authors, shepherds, and ultimately sponsoring ADs track the questions that their document receives. Because they are the best persons to track feedback on their document. Please continue to keep your shepherds and authors aware that they need to do this.

Jari